/* Define constants for menus */
#define _MNU_WINDOW_FGCOLOR     _TXT_CYAN
#define _MNU_WINDOW_BGCOLOR     _TXT_BLUE

#define _MNU_TITLE_FGCOLOR      _TXT_YELLOW
#define	_MNU_TITLE_BGCOLOR		_TXT_BLUE

#define	_MNU_TEXT_FGCOLOR		_TXT_BRIGHT_WHITE
#define	_MNU_TEXT_BGCOLOR		_TXT_BLUE

#define	_MNU_HIGHLIGHT_FGCOLOR	_TXT_YELLOW
#define	_MNU_HIGHLIGHT_BGCOLOR	_MNU_TEXT_BGCOLOR

#define	_MNU_MENUBAR_FGCOLOR    _TXT_BLUE
#define	_MNU_MENUBAR_BGCOLOR	_TXT_WHITE

/* Define constants for screen display */
#define _SCR_TEXT_FGCOLOR       _TXT_BRIGHT_WHITE
#define _SCR_TEXT_BGCOLOR       _TXT_BLACK

#define _SCR_HIGHLIGHT_FGCOLOR  _TXT_CYAN
#define _SCR_HIGHLIGHT_BGCOLOR  _TXT_BLACK

/* Define constants for error message display window */
#define _ERR_WINDOW_SIZE        5
#define _ERR_WINDOW_POSY        ( wGetMaxY() >> 1 )

#define _ERR_WINDOW_FGCOLOR     _TXT_WHITE
#define _ERR_WINDOW_BGCOLOR     _TXT_RED

#define _ERR_TITLE_FGCOLOR      _TXT_WHITE
#define _ERR_TITLE_BGCOLOR      _TXT_RED

#define _ERR_TEXT_FGCOLOR       _TXT_WHITE
#define _ERR_TEXT_BGCOLOR       _TXT_RED

#define _ERR_HIGHLIGHT_FGCOLOR  _TXT_RED
#define _ERR_HIGHLIGHT_BGCOLOR  _TXT_WHITE


/* Define constants for Title display window */
#define _TTL_WINDOW_SIZE        3
#define _TTL_WINDOW_POSY        6

#define _TTL_WINDOW_FGCOLOR     _TXT_WHITE
#define _TTL_WINDOW_BGCOLOR     _TXT_BLUE

#define _TTL_TEXT_FGCOLOR       _TXT_BRIGHT_CYAN
#define _TTL_TEXT_BGCOLOR       _TXT_BLUE

#define _TTL_HIGHLIGHT_FGCOLOR  _TXT_YELLOW
#define _TTL_HIGHLIGHT_BGCOLOR  _TXT_BLUE

/* Define constants for time display line */
#define _TIM_WINDOW_POSY        2
#define _TIM_TEXT_FGCOLOR       _TXT_BRIGHT_WHITE
#define _TIM_TEXT_BGCOLOR       _TXT_BLUE

/* Define constants for configuration display window */
#define _CFG_WINDOW_SIZE        3
#define _CFG_WINDOW_POSY        (BYTE)( wGetMaxY() - 1 )

#define _CFG_TITLE_FGCOLOR      _TXT_WHITE
#define _CFG_TITLE_BGCOLOR      _TXT_BLUE

#define _CFG_TEXT_FGCOLOR       _TXT_WHITE
#define _CFG_TEXT_BGCOLOR       _TXT_BLUE

#define _CFG_WINDOW_FGCOLOR     _TXT_WHITE
#define _CFG_WINDOW_BGCOLOR     _TXT_BLUE

/* Define constants for user options line display line */
#define _OPT_WINDOW_SIZE        1
#define _OPT_WINDOW_POSY        ( wGetMaxY() - _CFG_WINDOW_SIZE - 0 )

#define _OPT_TEXT_FGCOLOR       _TXT_BRIGHT_WHITE
#define _OPT_TEXT_BGCOLOR       _TXT_GREEN

/* Define constants for status display window */
#define _STA_WINDOW_SIZE        3
#define _STA_WINDOW_POSY        ( wGetMaxY() - _CFG_WINDOW_SIZE - _OPT_WINDOW_SIZE - 3 )

#define _STA_TITLE_FGCOLOR      _TXT_WHITE
#define _STA_TITLE_BGCOLOR      _TXT_BLUE

#define _STA_WINDOW_FGCOLOR     _TXT_WHITE
#define _STA_WINDOW_BGCOLOR     _TXT_BLUE

#define _STA_TEXT_FGCOLOR       _TXT_WHITE
#define _STA_TEXT_BGCOLOR       _TXT_BLUE

#define _STA_HIGHLIGHT_FGCOLOR  _TXT_BLACK
#define _STA_HIGHLIGHT_BGCOLOR  _TXT_WHITE

void	vDisplayVolume( int x, int y, float _fLevel, BYTE _bMode );
void	vDrawVolumeMeter( int _iX, int _iY, int _iSize, int _iLevel, BYTE _bMode );
void	vSetVolumeLevels( void );
void	vDisplayTolerance( int x, int y, BYTE _bLevel, BYTE _bMode );
void	vDrawToleranceMeter( int _iX, int _iY, int _iSize, unsigned int _iLevel, BYTE _bMode );
void	vSetToleranceLevels( void );
void    vDisplayTitle( const char *_lpTitleMessage );
void    vDisplayOptionMessage( const char *_lpOptionMessage );
void    vDisplayStatusMessage( const char *_lpStatusMessage );
void    vDisplayErrorMessage( const char *_lpErrorMessage );
void	vDisplayHeader( void );
void	vDisplayFooter( void );
void    vDisplayConfig( void );
void    vDisplayMenu( void );
void    vDisplayTime( void );
void    vDisplayDebugMessage( const char *_lpDebugMessage, ... );
int		iDisplayIntOptions( BYTE _bCol, BYTE _bRow, const char *_lpszTitle, int *_Options, BYTE _bSelect, BYTE _bHLIndex, BYTE _bAlign, BYTE _bFormat );
int		iDisplayStringOptions( BYTE _bCol, BYTE _bRow, const char *_lpszTitle, OPTION *_Options, BYTE _bSelect, BYTE _bAlign );
